D4Science Infrastructure - Incident #9199

Problems with Redmine SSO from the AGINFRA+ VRE
Jul 06, 2017 11:51 AM - Leonardo Candela

Status: Closed Start date: Jul 06, 2017
Priority: High Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Other Estimated time: 0.00 hour
Target version: Redmine management

Infrastructure: Production

Description

@enol.fernandez@egi.eu send me this email
I'm trying to get to the wiki of the AGINFRA+ VRE but I get a message about entering my password.
I have reseted the password and retried to login but keeps failing. I also cannot open a ticket be

cause it asks for my password.

Could you please have a look?

History

#1 - Jul 06, 2017 11:57 AM - Luca Frosini
- Status changed from New to In Progress

- % Done changed from 0 to 90

He doesn't have to reset the password on redmine. He has to use the same username and password he use on the portal. The credential are
synchronized in redmine every 15 minutes.

#2 - Jul 06, 2017 03:15 PM - Luca Frosini

- Status changed from In Progress to Feedback

#3 - Jul 06, 2017 03:16 PM - Luca Frosini

@leonardo.candela@isti.cnr.it any news about this?
#4 - Jul 06, 2017 03:20 PM - Leonardo Candela
I'm contacting Enol by email yet | do expect that the problem is not fixed if you do not have touched nothing.

According to my reading when Enol tried to access the Wiki from the VRE he was requested to enter the password thus the SSO was not working.
BTW I'll let you know as soon as | get news from @enol.fernandez@egi.eu

#5 - Jul 06, 2017 03:26 PM - Massimiliano Assante

May i remind you that if the user is using the Google SSO (or LinkedIn) then the Redmine transparent login is not working (until we have a Redmin
Connector available which i asked a while ago? Mar 01, 2017 to be precise see Feature #7353

#6 - Jul 07, 2017 09:35 AM - Leonardo Candela

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

This is a known bug experienced when using accounts coming from social networks (LinkedIn in the specific case).

For the time being there is nothing we can do other than providing the user with a D4Science based username and password. By using such
credentials no issue will be there when accessing Redmine-based services. This is done, i.e. we provided Enol with D4Science friendly credentials.
